package com.steering.mes.zgmil.entity;

/**
 * 数据库表STL_CONTROL_LOG所对应的实体类（生成工具：代码生成器3.0）
 * @author PC-20160918TFRG   date 2020-05-14
 */
public class StlControlLogEntity implements java.io.Serializable {
    /**
	 * 
	 */
	private static final long serialVersionUID = 1L;
	/**
     * GUID主键
     */
    private String controlId = "";
    /**
     * 日志开始时间(‘YYYYMMDDhhmm’)
     */
    private String logsBeg = "";
    /**
     * 日志结束时间(‘YYYYMMDDhhmm’)
     */
    private String logsEnd = "";
    /**
     * 电炉产线编码
     */
    private String efPlineCode = "";
    /**
     * 电炉产线描述
     */
    private String efPlineName = "";
    /**
     * 铸造产线编码
     */
    private String plineCode = "";
    /**
     * 铸造产线描述
     */
    private String plineName = "";
    /**
     * 投入物料编码
     */
    private String wlidIn = "";
    /**
     * 投入物料描述
     */
    private String wldescIn = "";
    /**
     * 产出物料编码
     */
    private String materialNo = "";
    /**
     * 产出物料描述
     */
    private String materialName = "";
    /**
     * 钢种代码
     */
    private String gradecode = "";
    /**
     * 钢种名称
     */
    private String gradename = "";
    /**
     * 成分标准索引号(内控)
     */
    private String cic = "";
    /**
     * 出钢量
     */
    private String mouldbalewgt = "";
    /**
     * 生产班次
     */
    private String proBc = "";
    /**
     * 生产班组
     */
    private String proBz = "";
    /**
     * 生产分类（1正常、2停机)
     */
    private String proType = "";
    /**
     * 停机分类
     */
    private String stopType = "";
    /**
     * 停机原因
     */
    private String stopReason = "";
    /**
     * 操作日期
     */
    private String userDate = "";
    /**
     * 操作人姓名
     */
    private String userName = "";
    /**
     * 停机小类
     */
    private String stopSmall = "";
    /**
     * 确认时间
     */
    private String confirmTime = "";
    /**
     * 确认人
     */
    private String confirmName = "";
    /**
     * 确认状态（1.确认，0.未确认）
     */
    private String confirmFlag = "";
    /**
     * 备注
     */
    private String memo = "";
    /**
     * 结算日期（年月）
     */
    private String balYearMonth = "";
    /**
     * 生产年月日
     */
    private String procDate = "";
    /**
     * 冶炼炉号(电炉号)
     */
    private String stoveNo = "";

    /**
     * GUID主键
     * @return value
     */
    public String getControlId() {
        return controlId;
    }

    /**
     * GUID主键
     * @param controlId value
     */
    public void setControlId(String controlId) {
        this.controlId = controlId;
    }

    /**
     * 日志开始时间(‘YYYYMMDDhhmm’)
     * @return value
     */
    public String getLogsBeg() {
        return logsBeg;
    }

    /**
     * 日志开始时间(‘YYYYMMDDhhmm’)
     * @param logsBeg value
     */
    public void setLogsBeg(String logsBeg) {
        this.logsBeg = logsBeg;
    }

    /**
     * 日志结束时间(‘YYYYMMDDhhmm’)
     * @return value
     */
    public String getLogsEnd() {
        return logsEnd;
    }

    /**
     * 日志结束时间(‘YYYYMMDDhhmm’)
     * @param logsEnd value
     */
    public void setLogsEnd(String logsEnd) {
        this.logsEnd = logsEnd;
    }

    /**
     * 电炉产线编码
     * @return value
     */
    public String getEfPlineCode() {
        return efPlineCode;
    }

    /**
     * 电炉产线编码
     * @param efPlineCode value
     */
    public void setEfPlineCode(String efPlineCode) {
        this.efPlineCode = efPlineCode;
    }

    /**
     * 电炉产线描述
     * @return value
     */
    public String getEfPlineName() {
        return efPlineName;
    }

    /**
     * 电炉产线描述
     * @param efPlineName value
     */
    public void setEfPlineName(String efPlineName) {
        this.efPlineName = efPlineName;
    }

    /**
     * 铸造产线编码
     * @return value
     */
    public String getPlineCode() {
        return plineCode;
    }

    /**
     * 铸造产线编码
     * @param plineCode value
     */
    public void setPlineCode(String plineCode) {
        this.plineCode = plineCode;
    }

    /**
     * 铸造产线描述
     * @return value
     */
    public String getPlineName() {
        return plineName;
    }

    /**
     * 铸造产线描述
     * @param plineName value
     */
    public void setPlineName(String plineName) {
        this.plineName = plineName;
    }

    /**
     * 投入物料编码
     * @return value
     */
    public String getWlidIn() {
        return wlidIn;
    }

    /**
     * 投入物料编码
     * @param wlidIn value
     */
    public void setWlidIn(String wlidIn) {
        this.wlidIn = wlidIn;
    }

    /**
     * 投入物料描述
     * @return value
     */
    public String getWldescIn() {
        return wldescIn;
    }

    /**
     * 投入物料描述
     * @param wldescIn value
     */
    public void setWldescIn(String wldescIn) {
        this.wldescIn = wldescIn;
    }

    /**
     * 产出物料编码
     * @return value
     */
    public String getMaterialNo() {
        return materialNo;
    }

    /**
     * 产出物料编码
     * @param materialNo value
     */
    public void setMaterialNo(String materialNo) {
        this.materialNo = materialNo;
    }

    /**
     * 产出物料描述
     * @return value
     */
    public String getMaterialName() {
        return materialName;
    }

    /**
     * 产出物料描述
     * @param materialName value
     */
    public void setMaterialName(String materialName) {
        this.materialName = materialName;
    }

    /**
     * 钢种代码
     * @return value
     */
    public String getGradecode() {
        return gradecode;
    }

    /**
     * 钢种代码
     * @param gradecode value
     */
    public void setGradecode(String gradecode) {
        this.gradecode = gradecode;
    }

    /**
     * 钢种名称
     * @return value
     */
    public String getGradename() {
        return gradename;
    }

    /**
     * 钢种名称
     * @param gradename value
     */
    public void setGradename(String gradename) {
        this.gradename = gradename;
    }

    /**
     * 成分标准索引号(内控)
     * @return value
     */
    public String getCic() {
        return cic;
    }

    /**
     * 成分标准索引号(内控)
     * @param cic value
     */
    public void setCic(String cic) {
        this.cic = cic;
    }

    /**
     * 出钢量
     * @return value
     */
    public String getMouldbalewgt() {
        return mouldbalewgt;
    }

    /**
     * 出钢量
     * @param mouldbalewgt value
     */
    public void setMouldbalewgt(String mouldbalewgt) {
        this.mouldbalewgt = mouldbalewgt;
    }

    /**
     * 生产班次
     * @return value
     */
    public String getProBc() {
        return proBc;
    }

    /**
     * 生产班次
     * @param proBc value
     */
    public void setProBc(String proBc) {
        this.proBc = proBc;
    }

    /**
     * 生产班组
     * @return value
     */
    public String getProBz() {
        return proBz;
    }

    /**
     * 生产班组
     * @param proBz value
     */
    public void setProBz(String proBz) {
        this.proBz = proBz;
    }

    /**
     * 生产分类（1正常、2停机)
     * @return value
     */
    public String getProType() {
        return proType;
    }

    /**
     * 生产分类（1正常、2停机)
     * @param proType value
     */
    public void setProType(String proType) {
        this.proType = proType;
    }

    /**
     * 停机分类
     * @return value
     */
    public String getStopType() {
        return stopType;
    }

    /**
     * 停机分类
     * @param stopType value
     */
    public void setStopType(String stopType) {
        this.stopType = stopType;
    }

    /**
     * 停机原因
     * @return value
     */
    public String getStopReason() {
        return stopReason;
    }

    /**
     * 停机原因
     * @param stopReason value
     */
    public void setStopReason(String stopReason) {
        this.stopReason = stopReason;
    }

    /**
     * 操作日期
     * @return value
     */
    public String getUserDate() {
        return userDate;
    }

    /**
     * 操作日期
     * @param userDate value
     */
    public void setUserDate(String userDate) {
        this.userDate = userDate;
    }

    /**
     * 操作人姓名
     * @return value
     */
    public String getUserName() {
        return userName;
    }

    /**
     * 操作人姓名
     * @param userName value
     */
    public void setUserName(String userName) {
        this.userName = userName;
    }

    /**
     * 停机小类
     * @return value
     */
    public String getStopSmall() {
        return stopSmall;
    }

    /**
     * 停机小类
     * @param stopSmall value
     */
    public void setStopSmall(String stopSmall) {
        this.stopSmall = stopSmall;
    }

    /**
     * 确认时间
     * @return value
     */
    public String getConfirmTime() {
        return confirmTime;
    }

    /**
     * 确认时间
     * @param confirmTime value
     */
    public void setConfirmTime(String confirmTime) {
        this.confirmTime = confirmTime;
    }

    /**
     * 确认人
     * @return value
     */
    public String getConfirmName() {
        return confirmName;
    }

    /**
     * 确认人
     * @param confirmName value
     */
    public void setConfirmName(String confirmName) {
        this.confirmName = confirmName;
    }

    /**
     * 确认状态（1.确认，0.未确认）
     * @return value
     */
    public String getConfirmFlag() {
        return confirmFlag;
    }

    /**
     * 确认状态（1.确认，0.未确认）
     * @param confirmFlag value
     */
    public void setConfirmFlag(String confirmFlag) {
        this.confirmFlag = confirmFlag;
    }

    /**
     * 备注
     * @return value
     */
    public String getMemo() {
        return memo;
    }

    /**
     * 备注
     * @param memo value
     */
    public void setMemo(String memo) {
        this.memo = memo;
    }

    /**
     * 结算日期（年月）
     * @return value
     */
    public String getBalYearMonth() {
        return balYearMonth;
    }

    /**
     * 结算日期（年月）
     * @param balYearMonth value
     */
    public void setBalYearMonth(String balYearMonth) {
        this.balYearMonth = balYearMonth;
    }

    /**
     * 生产年月日
     * @return value
     */
    public String getProcDate() {
        return procDate;
    }

    /**
     * 生产年月日
     * @param procDate value
     */
    public void setProcDate(String procDate) {
        this.procDate = procDate;
    }

    /**
     * 冶炼炉号(电炉号)
     * @return value
     */
    public String getStoveNo() {
        return stoveNo;
    }

    /**
     * 冶炼炉号(电炉号)
     * @param stoveNo value
     */
    public void setStoveNo(String stoveNo) {
        this.stoveNo = stoveNo;
    }
}
